Subject: Re: bug#76394: mouse-face property not working in tab-bar

From: Ship Mints <[email-masked]>
Date: Mon, 24 Feb 2025 10:27:11 -0500

First-cut patch for mouse-face handling on tab-bar items.  I left the
default handling code in place not being sure what it really is intended to
do (which appears to be nothing?).  It looks copied
from note_tool_bar_highlight but I wasn't sure.  (xdisp internals are fun.
It's a work of art.)

-Stephane

On Tue, Feb 18, 2025 at 12:14 PM Juri Linkov <[email-masked]> wrote:

> > I was trying to make a simple aesthetic change to tab-bar to highlight a
> > tab when it is moused over.  mouse-face seems to work in tab-line,
> > header-line, and obviously in mode-line.  Mouse events are processed in
> the
> > tab-bar window.  Am I missing something obvious?  I tested in 29.4 and in
> > master.
>
> Indeed, this would be a nice feature.  Patches welcome.
>